Data Structures | Typedefs

# yapf_node_ship.hpp File Reference

Node tailored for ship pathfinding. More...

Go to the source code of this file.

## Data Structures
struct | CYapfShipNodeT< Tkey_ >
| Yapf Node for ships. More...
## Typedefs
typedef CYapfShipNodeT < CYapfNodeKeyExitDir > | CYapfShipNodeExitDir
typedef CYapfShipNodeT < CYapfNodeKeyTrackDir > | CYapfShipNodeTrackDir
typedef CNodeList_HashTableT < CYapfShipNodeExitDir, 10, 12 > | CShipNodeListExitDir
typedef CNodeList_HashTableT < CYapfShipNodeTrackDir, 10, 12 > | CShipNodeListTrackDir

## Detailed Description

Node tailored for ship pathfinding.

Definition in file yapf_node_ship.hpp.